import { Dialect } from "sequelize";

const envVars = {
  DB_NAME: process.env.DB_NAME,
  DB_USER: process.env.DB_USER,
  DB_HOST: process.env.DB_HOST,
  DB_DRIVER: process.env.DB_DRIVER as Dialect,
  DB_PASSWORD: process.env.DB_PASSWORD,
  JWT_SECRET: process.env.JWT_SECRET,
  INITIAL_COORDINATOR_PASSWORD: process.env.INITIAL_COORDINATOR_PASSWORD,
  INITIAL_COORDINATOR_EMAIL: process.env.INITIAL_COORDINATOR_EMAIL,
};

if (Object.values(envVars).some((value) => value === undefined)) {
  console.error(
    "Error while reading DB Environment variables! Is maybe the .env file missing?"
  );
  process.exit(9);
}

export default envVars;
